import Anchor from './anchor/Anchor'
import AnchorBox from './anchor/AnchorBox'
import ECharts from './echarts/ECharts'
import Highlight from './highlight/Highlight'
import Layout from './layout/Layout'
import SortButton from './sort-button/SortButton'
import SortButtonGroup from './sort-button/SortButtonGroup'
import Splitter from './splitter/Splitter'
import XList from './xlist/XList'
import XListItem from './xlist/XListItem'
import XMenu from './xmenu/XMenu'
import XMenuChildren from './xmenu/XMenuChildren'
import XMenuItem from './xmenu/XMenuItem'

import ellipsis from './ellipsis'

const components = [
  Anchor,
  AnchorBox,
  ECharts,
  Highlight,
  Layout,
  SortButton,
  SortButtonGroup,
  Splitter,
  XList,
  XListItem,
  XMenu,
  XMenuChildren,
  XMenuItem
]

const directives = {
  ellipsis
}

export default {
  install(Vue) {
    // 注册指令
    for (let name in directives) {
      if (!directives.hasOwnProperty(name)) {
        continue
      }
      Vue.directive(name, directives[name])
    }

    // 注册组件
    for (let component of components) {
      Vue.component(component.name, component)
    }
  }
}

export {
  Anchor,
  AnchorBox,
  ECharts,
  ellipsis,
  Highlight,
  Layout,
  SortButton,
  SortButtonGroup,
  Splitter,
  XList,
  XListItem,
  XMenu,
  XMenuChildren,
  XMenuItem
}
